# seaborn.set_palette

```py
seaborn.set_palette(palette, n_colors=None, desat=None, color_codes=False)
```

Set the matplotlib color cycle using a seaborn palette.

| Parameters: | **palette** : seaborn color paltte &#124; matplotlib colormap &#124; hls &#124; husl

> Palette definition. Should be something that [`color_palette()`](seaborn.color_palette.html#seaborn.color_palette "seaborn.color_palette") can process.

**n_colors** : int

> Number of colors in the cycle. The default number of colors will depend on the format of `palette`, see the [`color_palette()`](seaborn.color_palette.html#seaborn.color_palette "seaborn.color_palette") documentation for more information.

**desat** : float

> Proportion to desaturate each color by.

**color_codes** : bool

> If `True` and `palette` is a seaborn palette, remap the shorthand color codes (e.g. “b”, “g”, “r”, etc.) to the colors from this palette.

 |
| --- | --- |

See also

build a color palette or set the color cycle temporarily in a `with` statement.set parameters to scale plot elementsset the default parameters for figure style

Examples

```py
>>> set_palette("Reds")

```

```py
>>> set_palette("Set1", 8, .75)

```