# seaborn.blend_palette

```py
seaborn.blend_palette(colors, n_colors=6, as_cmap=False, input='rgb')
```

Make a palette that blends between a list of colors.

| Parameters: | **colors** : sequence of colors in various formats interpreted by `input`

> hex code, html color name, or tuple in `input` space.

**n_colors** : int, optional

> Number of colors in the palette.

**as_cmap** : bool, optional

> If True, return as a matplotlib colormap instead of list.

 |
| --- | --- |
| Returns: | **palette or cmap** : seaborn color palette or matplotlib colormap

> List-like object of colors as RGB tuples, or colormap object that can map continuous values to colors, depending on the value of the `as_cmap` parameter.

 |
| --- | --- |