# seaborn.choose_colorbrewer_palette

```py
seaborn.choose_colorbrewer_palette(data_type, as_cmap=False)
```

Select a palette from the ColorBrewer set.

These palettes are built into matplotlib and can be used by name in many seaborn functions, or by passing the object returned by this function.

| Parameters: | **data_type** : {‘sequential’, ‘diverging’, ‘qualitative’}

> This describes the kind of data you want to visualize. See the seaborn color palette docs for more information about how to choose this value. Note that you can pass substrings (e.g. ‘q’ for ‘qualitative.

**as_cmap** : bool

> If True, the return value is a matplotlib colormap rather than a list of discrete colors.

 |
| --- | --- |
| Returns: | **pal or cmap** : list of colors or matplotlib colormap

> Object that can be passed to plotting functions.

 |
| --- | --- |

See also

Create a sequential palette with dark low values.Create a sequential palette with bright low values.Create a diverging palette from selected colors.Create a sequential palette or colormap using the cubehelix system.