# seaborn.choose_dark_palette

```py
seaborn.choose_dark_palette(input='husl', as_cmap=False)
```

Launch an interactive widget to create a dark sequential palette.

This corresponds with the [`dark_palette()`](seaborn.dark_palette.html#seaborn.dark_palette "seaborn.dark_palette") function. This kind of palette is good for data that range between relatively uninteresting low values and interesting high values.

Requires IPython 2+ and must be used in the notebook.

| Parameters: | **input** : {‘husl’, ‘hls’, ‘rgb’}

> Color space for defining the seed value. Note that the default is different than the default input for [`dark_palette()`](seaborn.dark_palette.html#seaborn.dark_palette "seaborn.dark_palette").

**as_cmap** : bool

> If True, the return value is a matplotlib colormap rather than a list of discrete colors.

 |
| --- | --- |
| Returns: | **pal or cmap** : list of colors or matplotlib colormap

> Object that can be passed to plotting functions.

 |
| --- | --- |

See also

Create a sequential palette with dark low values.Create a sequential palette with bright low values.Create a sequential palette or colormap using the cubehelix system.