# seaborn.choose_diverging_palette

```py
seaborn.choose_diverging_palette(as_cmap=False)
```

Launch an interactive widget to choose a diverging color palette.

This corresponds with the [`diverging_palette()`](seaborn.diverging_palette.html#seaborn.diverging_palette "seaborn.diverging_palette") function. This kind of palette is good for data that range between interesting low values and interesting high values with a meaningful midpoint. (For example, change scores relative to some baseline value).

Requires IPython 2+ and must be used in the notebook.

| Parameters: | **as_cmap** : bool

> If True, the return value is a matplotlib colormap rather than a list of discrete colors.

 |
| --- | --- |
| Returns: | **pal or cmap** : list of colors or matplotlib colormap

> Object that can be passed to plotting functions.

 |
| --- | --- |

See also

Create a diverging color palette or colormap.Interactively choose palettes from the colorbrewer set, including diverging palettes.